# Class MatrixEntry

java.lang.Object
org.snpeff.fileIterator.MatrixEntry

public class MatrixEntry extends Object
A simple entry in a 'Matrix' file

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`alt`
`String`
`chr`
`String`
`id`
`String`
`matrix`
`int`
`pos`
`String`
`ref`

## Constructor Summary

Constructors
Constructor
Description
`MatrixEntry()`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getValues()`
Get an array of values
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### chr

public String chr

### pos

public int pos

### id

public String id

### ref

public String ref

### alt

public String alt

### matrix

public String matrix

## Constructor Details

### MatrixEntry

public MatrixEntry()

## Method Details

### getValues

public int[] getValues()
Get an array of values

Returns:

### toString

public String toString()

Overrides:
  `toString` in class `Object`